SMBUTIL(1)

NAME
smbutil - interface to the SMB requester

SYNOPSIS
smbutil [-hv] command [- options] [args]

DESCRIPTION
The smbutil command is used to control SMB requester and issue various commands.

There are two types of options — global and local to the specified command.

Global options are as follows:

-h  Print a short help message.

-v  Verbose output.

The commands and local options are:

help command
    Print usage information about command.

    lookup [-w host] [-t node_type] [-e] name Resolve the given name to an IP address. The NetBIOS name server can be directly specified via the -w option. The NetBIOS name type can be specified via the -t, the default is to lookup file servers. For a complete list of name types please see "http://support.microsoft.com/kb/163409". The NetBIOS names will be unpercent escaped out if the -e option is specified.

    status [-ae] hostname Resolve given hostname (IP address or DNS name) to NetBIOS workgroup and system name. All NetBIOS names will be displayed if the -a option is specified. All NetBIOS names will be percent escaped out if the -e option is specified.

    view [- options] //[domain; ][user[ :password ]@]server List resources available on the specified server for the user. The options are as follows:

    -A  authorize only.

    -N  don't prompt for a password.

    -G  allow guest access.

    -g  authorize with guest only.

    -a  authorize with anonymous only.

    -f  don't share session.

    identity [-N] //[domain; ][user[ :password ]@]server Display the user's identity as known by the server for the authenticated session. Will not prompt for a password if the -N option is specified.

    dfs smb://[domain; ][user[ :password ]@]server/DfsRoot[ /DfsLink] Display the Dfs referrals for this URL for the authenticated session.

    statshares [-m mount_path] | [-a] If -m is specified, it prints the attributes of the share mounted at mount_path. If -a is specified, it prints the attributes of all mounted shares. You can not specify both -m and -a together since they are mutually exclusive.

FILES
nsmb.conf
    Keeps static parameters for connections and other information. See man nsmb.conf for details.

AUTHORS
Boris Popov <bp@butya.kz>, <bp@FreeBSD.org>

BUGS
Please report any bugs to Apple.